<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.qnfhq.modules.c2c.dao.C2cUserStatDao">

    <resultMap type="com.qnfhq.modules.c2c.entity.C2cUserStatEntity" id="userStatMap">
        <result property="userId" column="user_id"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
        <result property="finishNum" column="finish_num"/>
        <result property="buyFinishNum" column="buy_finish_num"/>
        <result property="sellFinishNum" column="sell_finish_num"/>
        <result property="finishRate" column="finish_rate"/>
        <result property="averagePayTime" column="average_pay_time"/>
        <result property="averagePassTime" column="average_pass_time"/>
        <result property="day30Num" column="day30_num"/>
        <result property="day30BuyNum" column="day30_buy_num"/>
        <result property="day30SellNum" column="day30_sell_num"/>
        <result property="day30TranRate" column="day30_tran_rate"/>
        <result property="day30BuyRate" column="day30_buy_rate"/>
        <result property="day30SellRate" column="day30_sell_rate"/>
        <result property="day30TranUserNum" column="day30_tran_user_num"/>
        <result property="fanNum" column="fan_num"/>
        <result property="goodNum" column="good_num"/>
        <result property="badNum" column="bad_num"/>
    </resultMap>


</mapper>